Blame komikku.spec

5a1203d
%global appname Komikku
5a1203d
%global uuid    info.febvre.%{appname}
5a1203d
5a1203d
Name:           komikku
26455df
Version:        0.14.0
8c95e97
Release:        2%{?dist}
5a1203d
Summary:        Online/offline manga reader for GNOME
5a1203d
5a1203d
License:        GPLv3+
5a1203d
URL:            https://gitlab.com/valos/Komikku
5a1203d
Source0:        %{url}/-/archive/v%{version}/%{appname}-v%{version}.tar.gz
5a1203d
BuildArch:      noarch
5a1203d
5a1203d
BuildRequires:  desktop-file-utils
5a1203d
BuildRequires:  intltool
5a1203d
BuildRequires:  libappstream-glib
5a1203d
BuildRequires:  libhandy-devel >= 0.0.10
5a1203d
BuildRequires:  meson >= 0.50.0
5a1203d
BuildRequires:  python3-devel >= 3.6
5a1203d
BuildRequires:  pkgconfig(gobject-introspection-1.0)
5a1203d
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.1
5a1203d
5a1203d
Requires:       hicolor-icon-theme
5a1203d
Requires:       python3-beautifulsoup4
5a1203d
Requires:       python3-cloudscraper
5a1203d
Requires:       python3-dateparser
5a1203d
Requires:       python3-lxml
8c95e97
8c95e97
# This could help to build Komikku for current Fedora releases at least in Copr
8c95e97
# * https://bugzilla.redhat.com/show_bug.cgi?id=1790100#c9
8c95e97
Requires:       python3-magic < 5.0
8c95e97
5a1203d
Requires:       python3-pillow
5a1203d
Requires:       python3-pure-protobuf
5a1203d
Requires:       python3-unidecode
5a1203d
5a1203d
%description
5a1203d
An online/offline manga reader for GNOME, developed with the aim of being used
5a1203d
with the Librem 5 phone.
5a1203d
5a1203d
5a1203d
%prep
5a1203d
%autosetup -n %{appname}-v%{version} -p1
5a1203d
5a1203d
5a1203d
%build
5a1203d
%meson
5a1203d
%meson_build
5a1203d
5a1203d
5a1203d
%install
5a1203d
%meson_install
5a1203d
%find_lang %{name}
5a1203d
5a1203d
5a1203d
%check
5a1203d
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
5a1203d
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
5a1203d
5a1203d
5a1203d
%files -f %{name}.lang
5a1203d
%license LICENSE
5a1203d
%doc README.md
5a1203d
%{_bindir}/%{name}
5a1203d
%{_datadir}/%{name}/
5a1203d
%{_datadir}/applications/*.desktop
5a1203d
%{_datadir}/glib-2.0/schemas/*.gschema.xml
5a1203d
%{_datadir}/icons/hicolor/scalable/*/*.svg
5a1203d
%{_datadir}/icons/hicolor/symbolic/*/*.svg
5a1203d
%{_metainfodir}/*.xml
5a1203d
%{python3_sitelib}/%{name}/
5a1203d
5a1203d
5a1203d
%changelog
8c95e97
* Thu Apr 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-2
8c95e97
- Specify required version of 'python3-magic' | RHBZ#1790100#c9
8c95e97
26455df
* Thu Apr 02 2020 Lyes Saadi <fedora@lyes.eu> - 0.14.0-1
26455df
- Update to 0.14.0
26455df
5a1203d
* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
5a1203d
- Update to 0.13.0
5a1203d
5a1203d
* Fri Feb 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.1-1
5a1203d
- Initial package